classification
Title: Add Japanese to the language switcher
Type: Stage: resolved
Components: Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, haypo, inada.naoki, mdk, ned.deily
Priority: normal Keywords:

Created on 2017-08-08 20:58 by mdk, last changed 2017-09-22 11:28 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3028 merged python-dev, 2017-08-08 21:00
PR 3052 closed python-dev, 2017-08-10 14:16
PR 3081 merged python-dev, 2017-08-13 10:33
PR 3114 merged python-dev, 2017-08-17 13:25
PR 3115 merged python-dev, 2017-08-17 14:32
PR 3117 merged python-dev, 2017-08-17 14:34
Messages (10)
msg299947 - (view) Author: Julien Palard (mdk) * Date: 2017-08-08 20:58
Japanese translation have reached the prerequisites from PEP 545, their last step is to be added to the language switcher.

Current build has been reviewed by Inada and is OK: https://docs.python.org/ja/3.7/

Note: On the current build, the /ja/ is not detected by the language switcher, as this *is* the step to add /ja/ to this same language switcher, this is the issue http://bugs.python.org/issue31146
msg299949 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-08-08 21:26
New changeset c82b7f332aff606af6c9c163da75f1e86514125e by Victor Stinner (Julien Palard) in branch 'master':
bpo-31149: Doc: Add Japanese to the language switcher. (#3028)
https://github.com/python/cpython/commit/c82b7f332aff606af6c9c163da75f1e86514125e
msg300094 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-08-10 14:54
New changeset e8e7fba0b24582959feca9c31f2a72fc0251f83d by Victor Stinner (Julien Palard) in branch '3.6':
bpo-31159: fix language switch regex on unknown yet built languages. … (#3051)
https://github.com/python/cpython/commit/e8e7fba0b24582959feca9c31f2a72fc0251f83d
msg300096 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-08-10 15:00
I reopen the issue: backport to 2.7 is still needed.
msg300213 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2017-08-13 08:02
There is a minor inconsistency:
For French language, name in the list is displayed in French as "Français".
For Japanese language, name in the list is displayed in English as "Japanese" instead of in Japanese as "日本語".

Maybe it would be best to display 2 names for each non-English language? Example:
 "Français (French)"
 "日本語 (Japanese)"
msg300216 - (view) Author: Julien Palard (mdk) * Date: 2017-08-13 10:24
Arfrever: nice catch!

Inda: What do you think? Any preference between "日本語", "Japanese", and  "日本語 (Japanese)"?

I personally don't like much the "日本語 (Japanese)" version, but I don't care much between "French" and "Français" as they're using the same alphabet.

Maybe displaying "日本語" instead of "Japanese" show more commitment into translations? Like displaying "Japanese" meaning "OK we translated, but not everything, starting by your language".

Another solution would be to translate each languages in each languages, and display "Anglais, Japonais, Français" in the french translation, "English, Japanese, French" in the english one, and so on…

I think I prefer to display languages in their own language, so "English, "Français", "日本語" for me.
msg300231 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-08-13 21:44
New changeset fe8d9dc479a96ef490034107e7d4a6228b4be140 by Victor Stinner (Julien Palard) in branch '2.7':
bpo-31159: fix language switch regex on unknown yet built languages. … (#3051) (#3081)
https://github.com/python/cpython/commit/fe8d9dc479a96ef490034107e7d4a6228b4be140
msg300242 - (view) Author: INADA Naoki (inada.naoki) * (Python committer) Date: 2017-08-14 11:28
My preference is "Japanese".

After selecting drop down list, we can type "jap" to select Japanese.
On the other hand, we should use IME to input "日本語".  It's not so easy as input alphabets.
msg300265 - (view) Author: Julien Palard (mdk) * Date: 2017-08-14 21:40
@inada make sense, so I'll change "Français" for "French" for consistency.
msg300434 - (view) Author: Julien Palard (mdk) * Date: 2017-08-17 15:05
Has been merged on master, backported to 3.6 and 2.7.

It starts to appear on some versions as the script is currently running, like in https://docs.python.org/2.7/.

I'll close when I'll see this on all versions.
History
Date User Action Args
2017-09-22 11:28:56mdksetstatus: open -> closed
2017-08-17 15:05:08mdksetmessages: + msg300434
2017-08-17 14:34:30python-devsetpull_requests: + pull_request3155
2017-08-17 14:32:10python-devsetpull_requests: + pull_request3154
2017-08-17 13:25:52python-devsetpull_requests: + pull_request3152
2017-08-14 21:40:21mdksetmessages: + msg300265
2017-08-14 11:28:45inada.naokisetmessages: + msg300242
2017-08-13 21:44:54hayposetmessages: + msg300231
2017-08-13 10:33:36python-devsetpull_requests: + pull_request3122
2017-08-13 10:24:58mdksetmessages: + msg300216
2017-08-13 08:02:31Arfreversetnosy: + Arfrever
messages: + msg300213
2017-08-10 15:00:44hayposetstatus: closed -> open

messages: + msg300096
versions: + Python 2.7, Python 3.6, Python 3.7
2017-08-10 14:54:28hayposetmessages: + msg300094
2017-08-10 14:16:29python-devsetpull_requests: + pull_request3099
2017-08-09 11:54:39mdksetstatus: open -> closed
stage: resolved
2017-08-08 21:26:49hayposetnosy: + haypo
messages: + msg299949
2017-08-08 21:00:40python-devsetpull_requests: + pull_request3062
2017-08-08 20:58:44mdkcreate